#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

BUILDDIR=`pwd`/debian/ckermit

CFLAGS += \
	-DIKSDCONF=\\\\\\\\\\\\\\\"/etc/kermit/iksd.conf\\\\\\\\\\\\\\\"  \
	-DCK_SYSINI=\\\\\\\\\\\\\\\"/etc/kermit/kermrc\\\\\\\\\\\\\\\"  \
	-DCK_INI_B -DX509_SUBJECT_ALT_NAME_TO_USER

ifneq (,$(filter kfreebsd hurd, $(DEB_HOST_ARCH_OS)))
	CFLAGS += -DSELECT
endif

ifneq ($(DEB_HOST_ARCH_OS),hurd)
	CFLAGS += -DHAVE_PTMX
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

MAKEOPTS=-f makefile DESTDIR=\"$(BUILDDIR)\" BINDIR=/usr/bin MANDIR=/usr/share/man/man1 INFODIR=/usr/share/doc/ckermit KFLAGS='$(CPPFLAGS) $(CFLAGS)' MULTIARCH=\"$(DEB_HOST_MULTIARCH)\" LNKFLAGS="$(LDFLAGS)"
MAKETARGET=linux+ssl

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(MAKEOPTS) $(MAKETARGET)

override_dh_auto_clean:
	$(MAKE) $(MAKEOPTS) clean
	rm -f wermit UNINSTALL

override_dh_auto_install:
	$(MAKE) $(MAKEOPTS) install
	# link is recreated properly by dh_link
	rm "$(BUILDDIR)/usr/bin/kermit-sshsub"
	# duplicated in /usr/share/doc/ckermit/copyright
	rm "$(BUILDDIR)/usr/share/doc/ckermit/COPYING.TXT"
	# We rather use /etc/kermit/kermrc
	rm "$(BUILDDIR)/usr/bin/ckermit.ini"

override_dh_installpam:
	dh_installpam --name=kermit
